// Code generated by mockery v1.1.0. DO NOT EDIT.

package template

import mock "github.com/stretchr/testify/mock"

// mockLoader is an autogenerated mock type for the loader type
type mockLoader struct {
	mock.Mock
}

// Load provides a mock function with given fields: templateType, path
func (_m *mockLoader) Load(templateType Type, path string) ([]byte, error) {
	ret := _m.Called(templateType, path)

	var r0 []byte
	if rf, ok := ret.Get(0).(func(Type, string) []byte); ok {
		r0 = rf(templateType, path)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]byte)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(Type, string) error); ok {
		r1 = rf(templateType, path)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
